Subject: Re: CLtL2 or CLHS ?

From: "Zbyszek Jurkiewicz" <[email-masked]>
Date: Fri, 20 Feb 98 13:43:52 CST

On Wed, 18 Feb 1998 10:42:14 -0800 (PS, Bruno Haible wrote:

>Hi all,
>
>When you program in Common Lisp, what do you use as a reference:
>The CL HyperSpec in HTML format, or the CLtL2 spec (as a book, or
>in HTML or PostScript format) ?
>

As I work in various envirnoments (my own computer, students lab etc.)
I use whatever seems to be easier to handle.  If I can vote, I propose
in cases mentioned use RATIONAL solutions rather than holding to one
particular wording.  Standards change.

By the way, why the pathnames on MS DOS implementation work differently
than on Win95 or Linux or whatever.  On Linux or Win95 one has

> (pathname-directory "bps/cps/cps.lsp")
(:RELATIVE "bps" "cps")

while on MS-DOS (latest official version, 1997)

> (pathname-directory "bps/cps/cps.lsp")
(:RELATIVE ("bps" . "") ("cps" . ""))

Is there any reason for this behavior (incorrect acc. to the standard) ?

Regards

Zbyszek Jurkiewicz
IIUW, Warsaw